Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class WeakHashtableImpl

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--oracle.jbo.common.WeakHashtableImpl

public class WeakHashtableImpl
extends java.util.Dictionary

Internal: Applications should not use this class.

Constructor Summary
`WeakHashtableImpl()`
`WeakHashtableImpl(int initialCapacity)`
`WeakHashtableImpl(int initialCapacity, float loadFactor)`

Method Summary
`java.util.Enumeration` | `elements()`
`java.lang.Object` | `get(java.lang.Object key)`
`boolean` | `isEmpty()`
`java.util.Enumeration` | `keys()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`protected void` | `rehash()`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakHashtableImpl

    public WeakHashtableImpl(int initialCapacity,
                             float loadFactor)

### WeakHashtableImpl

    public WeakHashtableImpl(int initialCapacity)

### WeakHashtableImpl

    public WeakHashtableImpl()

Method Detail

### size

    public int size()

  Overrides:
    size in class java.util.Dictionary

### isEmpty

    public boolean isEmpty()

  Overrides:
    isEmpty in class java.util.Dictionary

### keys

    public java.util.Enumeration keys()

  Overrides:
    keys in class java.util.Dictionary

### elements

    public java.util.Enumeration elements()

  Overrides:
    elements in class java.util.Dictionary

### get

    public java.lang.Object get(java.lang.Object key)

  Overrides:
    get in class java.util.Dictionary

### rehash

    protected void rehash()

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Overrides:
    put in class java.util.Dictionary

### remove

    public java.lang.Object remove(java.lang.Object key)

  Overrides:
    remove in class java.util.Dictionary

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD